Subject: Re: bug#76025: [PATCH 1/1] * lisp/progmodes/sql.el: login without prompting

From: Phil Estival <[email-masked]>
Date: Tue, 18 Feb 2025 21:47:23 +0100

* [2025-02-07 09:14 +0200] Eli Zaretskii <[email-masked]>:
>> Cc: [email-masked], Michael Mauger <[email-masked]>
>> From: Ihor Radchenko <[email-masked]>
>> Date: Thu, 06 Feb 2025 19:14:50 +0000
>>
>> Phil Estival <[email-masked]> writes:
>>
>> > This is a patch of `sql-product-interactive' in order to connect without
>> > prompting for or asking to confirm connection parameters, using ones
>> > already set and stored in `sql-database', `sql-server', -user, etc.
>>
>> For context, we want this feature to improve Org babel's sql library
>> (ob-sql) where we need to run session programmatically. See
>> https://list.orgmode.org/orgmode/[email-masked]/
>>
>> CCing sql.el maintainer.
>
> Thanks.
>
> From my POV, this change needs a NEWS entry, and I think Phil needs to
> do the legal paperwork of assigning the copyright to the FSF (I can
> send the form and the instructions if that's okay with Phil).

I asked [email-masked] for a pgp pub key last Wednesday
but no response so far. Is there any?

--
Phil Estival